# Flutter FinBox Lending SDK

The plugin can be used to integrate FinBox Lending SDK.

NOTE

Following will be shared by FinBox team at the time of integration:

- `ACCESS_KEY`
- `SECRET_KEY`
- `LENDING_SDK_VERSION`
- `DC_SDK_VERSION`
- `COMMON_SDK_VERSION`
- `COMMON_FLAVOR`
- `LOGGER_SDK_VERSION`
- `CLIENT_API_KEY`



## Add Plugin

Specify the following in `local.properties` file:

```
ACCESS_KEY=<ACCESS_KEY>
SECRET_KEY=<SECRET_KEY>
LENDING_SDK_VERSION=<LENDING_SDK_VERSION>
DC_SDK_VERSION=<DC_SDK_VERSION>
COMMON_SDK_VERSION=<COMMON_SDK_VERSION>
COMMON_FLAVOR=<COMMON_FLAVOR>
LOGGER_SDK_VERSION=<LOGGER_SDK_VERSION>
```

Add plugin dependency in `pubspec.yaml` file:

 ```yaml
 finbox_lending_plugin: any
 ```

## Init SDK

Pass the required variables to `initSdk` method

```dart
 FinBoxLendingPlugin.initSdk(
"Environment",
"Api key",
"Customer ID",
"Customer token",
"Credit Line withdrawl amount");
```

## Open Lending screen

Lending journey starts once `startLending` mthod is called

```dart
 FinBoxLendingPlugin.startLending();
```



## Handle SDK Journey Result

Set method handler inside `build` method of your home page

```dart
FinBoxLendingPlugin.platform.setMethodCallHandler(_getJourneyResult);
```

Create a method in dart file to handle this callback.


```dart
static Future<void> _getJourneyResult(MethodCall call) async {
if (call.method == 'getJourneyResult')
{var json=call.arguments}
}
```
Following json will be received
```json
{"code":"code","screen":"screen","message":"message"}
```

## Error Codes

Below table contains the error codes and the description:

error_type | Description |
--- | --- | 
MU002 | Trial Expired for Dev Credentials
MU003 | PDF Password Incorrect
MU004 | Specified bank doesn't match with detected bank
MU006 | Non Parsable PDF - PDF file is corrupted or has no selectable text (only scanned images)
MU020 | Not a valid statement or bank is not supported
MU021 | Invalid Date Range
NB000 | NetBanking Failed
NB003 | Netbanking Login Error
NB004 | Captcha Error
NB005 | Security Error 
