import 'package:finbox_lending_plugin/finbox_lending_plugin.dart';
import 'package:flutter/material.dart';
import 'dart:developer';
import 'package:flutter/services.dart';

TextEditingController envController = new TextEditingController(text: "UAT");

class LendingPage extends StatefulWidget {
  const LendingPage(
      {Key? key,
      required this.env,
      required this.apiKey,
      required this.customerId,
      required this.token,
      required this.creditLineAmount})
      : super(key: key);

  final String title = "Lending";
  final String env;
  final String apiKey;
  final String customerId;
  final String token;
  final String creditLineAmount;

  @override
  State<LendingPage> createState() => _LendingPageState();
}

class _LendingPageState extends State<LendingPage> {
  _initSdk() {
    FinBoxLendingPlugin.initSdk(widget.env, widget.apiKey, widget.customerId,
        widget.token, "Poonawalla", true, widget.creditLineAmount);
  }

  _startLending() {
    FinBoxLendingPlugin.startLending();
  }

  _openLendingScreen() {
    _initSdk();
    _startLending();
  }

  static Future<void> _getJourneyResult(MethodCall call) async {
    if (call.method != 'getJourneyResult') return;
    log(call.arguments);
    // print("Anirudh1 ${call.arguments}");
    // FinBoxJourneyResult result=FinBoxJourneyResult.fromJson(call.arguments);
    // print("Anirudh2 ${result.entityId}, ${result.message}");

    // Fluttertoast.showToast(
    //     msg: "Anirudh",
    //     toastLength: Toast.LENGTH_LONG,
    //     gravity: ToastGravity.BOTTOM,
    //     backgroundColor: Colors.red,
    //     textColor: Colors.black,
    //     fontSize: 16.0
    // );
  }

  @override
  void initState() {
    super.initState();
    _openLendingScreen();
  }

  @override
  Widget build(BuildContext context) {
    FinBoxLendingPlugin.platform.setMethodCallHandler(_getJourneyResult);
    return Scaffold(
        appBar: AppBar(title: Text(widget.title)), // Title
        body: Container(
          padding: const EdgeInsets.all(8.0),
          // Center is a layout widget. It takes a single child and positions it
          // in the middle of the parent.
          child: Column(
              children: [

              ]
          ),
        ));
  }
}
