import 'package:flutter/material.dart';
import 'package:finbox_flutter_lending_example/lending.dart';

void main() {
  runApp(const MyApp());
}
//

TextEditingController envController = new TextEditingController(text: "UAT");

TextEditingController apiKeyController =
    new TextEditingController(text: "f078b4d0-d171-4ed9-a1ce-c02134213b6c");

TextEditingController customerIdController =
    new TextEditingController(text: "demo_lender_user_11221538");

TextEditingController tokenController =
    new TextEditingController(text: "sqMFqlfpUoxfmxkYSJpguyLzfuIDAJhSmrUSzCCFLrDsnDmDqyZxvSxPJWSzLUkl");

TextEditingController creditLineAmountController =
    new TextEditingController(text: "");

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        // This is the theme of your application.
        //
        // Try running your application with "flutter run". You'll see the
        // application has a blue toolbar. Then, without quitting the app, try
        // changing the primarySwatch below to Colors.green and then invoke
        // "hot reload" (press "r" in the console where you ran "flutter run",
        // or simply save your changes to "hot reload" in a Flutter IDE).
        // Notice that the counter didn't reset back to zero; the application
        // is not restarted.
        primarySwatch: Colors.blue,
      ),
      home: const MyHomePage(title: 'Flutter Bank Connect Hybrid'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  const MyHomePage({Key? key, required this.title}) : super(key: key);

  // This widget is the home page of your application. It is stateful, meaning
  // that it has a State object (defined below) that contains fields that affect
  // how it looks.

  // This class is the configuration for the state. It holds the values (in this
  // case the title) provided by the parent (in this case the App widget) and
  // used by the build method of the State. Fields in a Widget subclass are
  // always marked "final".

  final String title;

  @override
  State<MyHomePage> createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {

  void _navigateToLendingScreen(BuildContext context) {
    Navigator.of(context).push(MaterialPageRoute(builder: (context) =>
        LendingPage(env: envController.text, apiKey: apiKeyController.text,
            customerId: customerIdController.text, token: tokenController.text,
            creditLineAmount: creditLineAmountController.text)));
  }

  @override
  Widget build(BuildContext context) {
    // This method is rerun every time setState is called, for instance as done
    // by the _incrementCounter method above.
    //
    // The Flutter framework has been optimized to make rerunning build methods
    // fast, so that you can just rebuild anything that needs updating rather
    // than having to individually change instances of widgets.
    return Scaffold(
      appBar: AppBar(
        // Here we take the value from the MyHomePage object that was created by
        // the App.build method, and use it to set our appbar title.
        title: Text(widget.title),
      ),
      body: Container(
        padding: const EdgeInsets.all(8.0),
        // Center is a layout widget. It takes a single child and positions it
        // in the middle of the parent.
        child: Column(
          children: [
            TextField(
              controller: envController,
              decoration: InputDecoration(
                border: OutlineInputBorder(),
                hintText: 'Environment',
              ),
            ),
            TextField(
              controller: apiKeyController,
              decoration: InputDecoration(
                border: OutlineInputBorder(),
                hintText: 'Api key',
              ),
            ),
            TextField(
              controller: customerIdController,
              decoration: InputDecoration(
                border: OutlineInputBorder(),
                hintText: 'Customer ID',
              ),
            ),
            TextField(
              controller: tokenController,
              decoration: InputDecoration(
                border: OutlineInputBorder(),
                hintText: 'Customer token',
              ),
            ),
            TextField(
              controller: creditLineAmountController,
              decoration: InputDecoration(
                border: OutlineInputBorder(),
                hintText: 'Credit Line withdrawl amount',
              ),
            ),
            ElevatedButton(
              style: ButtonStyle(
                backgroundColor: MaterialStateProperty.all<Color>(Colors.blue),
              ),
              onPressed: () {_navigateToLendingScreen(context); },
              child: Text('Start'),
            )
          ],
          // mainAxisAlignment: MainAxisAlignment.center,
          // children: <Widget>[
          //   const Text(
          //     'You have pushed the button this many times:',
          //   ),
          //   Text(
          //     '$_counter',
          //     style: Theme.of(context).textTheme.headline4,
          //   ),
          // ],
        ),
      ),
      // floatingActionButton: FloatingActionButton(
      //   onPressed: _initSdk,
      //   tooltip: 'Increment',
      //   child: const Icon(Icons.add),
      // ), // This trailing comma makes auto-formatting nicer for build methods.
    );
  }
}
